function onRequestFormSubmit(e) {
  var sheet = SpreadsheetApp.getActiveSheet();
  var sheetData = sheet.getDataRange().getValues();
  var formData = e.namedValues;
  var rowNumber = parseInt(e.range.getRow() - 1).toFixed(0);
  var intendID = rowNumber + "-" + sheetData[rowNumber][6];
  var pubsubMessage = {
    timestamp: formData['Timestamp'],
    intendID: intendID,
    projectName: formData['Project Name'],
    artifactName: formData['Artifact Name'],
    artifactVersion: formData['Artifact Version'],
    environment: formData['Environment'],
    requesterEmail: formData['Email Address']
  };
  var res = pubsub("944919075758", "trigger-email", pubsubMessage);
  Logger.log("Intend request pushed to Pub/Sub = " + intendID);
}
